Bug 449146 - Python examples give "FutureWarning" errors on RHEL4
Python examples give "FutureWarning" errors on RHEL4
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Messaging_Programming_Reference (Show other bugs)
beta
All Linux
medium Severity medium
: 1.1
: ---
Assigned To: Rafael H. Schloming
Kim van der Riet
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-30 14:55 EDT by Jeff Needle
Modified: 2014-12-01 18:14 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-04 11:16:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Needle 2008-05-30 14:55:53 EDT
rhm-docs-0.2.656926-4.el4

When the python examples are run on RHEL4, they give a FutureWarning error.  The
examples work as expected, so this is 

[root@dhcp-10-16-61-236 direct]# ./direct_producer.py
[root@dhcp-10-16-61-236 direct]# ./direct_consumer.py
./direct_consumer.py:57: FutureWarning: hex/oct constants > sys.maxint will
return positive values in Python 2.4 and up
  session.message_flow(local_queue_name,  session.credit_unit.message, 0xFFFFFFFF)
./direct_consumer.py:58: FutureWarning: hex/oct constants > sys.maxint will
return positive values in Python 2.4 and up
  session.message_flow(local_queue_name, session.credit_unit.byte, 0xFFFFFFFF)
message 0
message 1
message 2
message 3
message 4
message 5
message 6
message 7
message 8
message 9
That's all, folks!
Comment 1 Jonathan Robie 2008-11-10 11:45:30 EST
I believe this was fixed when we went to using start() instead of explicit credit in these examples. The original problem involved using 0xFFFFFFFF when allocating credit.
Comment 2 Jonathan Robie 2008-11-10 11:48:58 EST
Reassigning to Rafi.

The library still uses 0xFFFFFFFF when I use start() in the examples. This needs to be fixed in the library.
Comment 4 Frantisek Reznicek 2008-12-17 05:41:59 EST
Validated on rhm-docs-0.3.725668-3.el4 on RHEL 4.7 i386 / x86_64 that FutureWarning error is suppressed.
->VERIFIED
Comment 6 errata-xmlrpc 2009-02-04 11:16:35 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0038.html

Note You need to log in before you can comment on or make changes to this bug.